---
title: "Migration d'une adresse mail"
date: "2023-06-14"
categories: 
  - "adresses-mail"
---

Lors d'un changement d'hébergeur, le déplacement d'une adresse mail de l'ancien vers le nouveau n'est pas une opération courante ! Voici quelques explications sur les procédures possibles.

<!--more-->

Vous disposez principalement de deux méthodes pour déplacer une adresse et les mails et dossiers qu'elle contient :

#### 1) Le formidable IMAPSync

[IMAPSync](https://imapsync.lamiral.info/X/) est un outil qui vous donne la possibilité de transférer/synchroniser un compte IMAP d'un serveur à un autre. Le principe est d'indiquer le serveur IMAP source et ses identifiants puis le serveur IMAP cible et ses identifiants et enfin de lancer une synchronisation de la source et de la cible.

![Capture d'écran de IMAPSync](images/FireShot-Capture-395-Mailbox-Imapsync-Online-imapsync.lamiral.info_-1024x437.png)

Si la boite fait plus de 3 Go, il est possible de payer pour lever cette limite et soutenir le développeur de ce super outil de migration de comptes IMAP. Il est également possible d'installer l'outil sur son propre serveur.

#### 2) Thunderbird (ou un autre client de messagerie)

Le client de messagerie Thunderbird est recommandé par Ouvaton.

Vous pouvez y [créer un compte](https://ouvaton.coop/configuration-de-thunderbird/) avec les paramètres de votre boite chez son hébergeur actuel (serveur IMAP et identifiants) puis d'y créer un second compte utilisant la même adresse mais avec cette fois les paramètres du nouvel hébergeur (serveur IMAP et identifiants). Vous aurez alors dans Thunderbird deux comptes pour cette adresse et il sera possible de glisser/déposer les mails et dossiers de l'un à l'autre.

Vous pouvez nommer de façon claire le "nom du compte" dans Thunderbird pour bien distinguer les deux hébergeurs, par exemple "adresse@domaine.tld (ancien hébergeur)" et "adresse@domaine.tld (nouvel hébergeur)" !

* * *

##### Quels sont les paramètres et identifiants à renseigner ?

Pour une adresse hébergée chez Ouvaton (à créer sur Ouvadmin donc) :

- Serveur IMAP : mail.ouvaton.coop
- Utilisateur : l'adresse mail complète
- Mot de passe : le mot de passe de l'adresse mail

##### Mais les mails arrivent encore sur l'ancienne boite !?

Le serveur de destination d'un mail envoyé vers une adresse de votre domaine est déterminé par les enregistrements DNS de type MX.

Il faut donc modifier ces enregistrements DNS pour remplacer ceux existants par ceux de votre nouvel hébergeur. Pour Ouvaton il s'agit des MX :

- mc01.ouvaton.coop (avec une priorité de 10)
- mc02.ouvaton.coop (avec une priorité de 20)

Il faut également modifier le SPF de votre domaine pour autoriser Ouvaton à envoyer ses mails. Le SPF est un enregistrement de type TXT, qui doit être comme ci-dessous :

- v=spf1 +a +mx include:spf.ouvaton.coop ~all

La modification des enregistrements DNS est à réaliser chez le gestionnaire DNS de votre nom de domaine. Chez Ouvaton, de l'aide est disponible en [https://ouvaton.coop/modifier-les-enregistrements-dns-dun-domaine/](https://ouvaton.coop/modifier-les-enregistrements-dns-dun-domaine/) pour la modification des enregistrements DNS.
