---
title: "Connexion FTP avec Filezilla"
date: "2018-04-11"
categories: 
  - "comptes-ftp"
---

**L'utilisation du protocole FTP n'est plus recommandée depuis la mise à disposition de SFTP sur notre plateforme.**

<!--more-->

**SFTP remplace avantageusement FTP, voyez plutôt la page [https://ouvaton.coop/connexion-sftp-avec-filezilla/](https://ouvaton.coop/connexion-sftp-avec-filezilla/) pour l'utiliser avec Filezilla ! :-)**

Filezilla est un logiciel permettant de connecter votre ordinateur à un compte FTP. Il est très utile pour envoyer les fichiers de votre site vers nos serveurs.

Filezilla est téléchargeable sur le site officiel du projet ([https://filezilla-project.org/](https://filezilla-project.org/)).

![](images/filezilla-logo-b6e18.png)

Il s’agit d’un logiciel libre et gratuit, disponible sur GNU/Linux, Windows et MacOS.

* * *

### Comment se connecter ?

**N'utilisez pas la barre de connexion rapide**, votre connexion ne sera pas chiffrée et **le mot de passe de votre compte va circuler en clair sur les réseaux**.

Vous avez besoin de quatre informations pour vous connecter sur un compte FTP :

- le nom du serveur, ou hôte
- un numéro de port TCP
- un identifiant SFTP
- un mot de passe

L’identifiant est visualisable dans Ouvadmin, vous pouvez vous aider de la page [Connaître vos comptes FTP existant](https://ouvaton.coop/connaitre-vos-comptes-ftp-existants/) pour les retrouver. Vous pouvez également modifier le mot de passe sur Ouvadmin.

Vous devez ouvrir le gestionnaire de sites de votre Filezilla (tout en haut à gauche de la fenêtre), puis une fois ouvert cliquer sur "Nouveau site". Vous pourrez alors donner un nom à cette entrée du gestionnaire, puis indiquer les paramètres suivants :

Vous devez comme Protocole sélectionner : **FTP - protocole de transfert de fichiers**

Le nom du serveur/hôte est toujours : **ftp.ouvaton.coop**

Vous devez indiquer comme Port le numéro : **21** (vous pouvez aussi laisser ce champ vide)

Vous devez utiliser comme Chiffrement : **Connexion FTP explicite sur TLS** (ou Connexion FTP explicite sur TLS si disponible)

Le type d'authentification est : Normale

Et enfin le nom d'utilisateur et le mot de passe associé.

Voici un exemple avec comme nom d'utilisateur : monsite.ouvatonkx

![Capture d'écran de la fenêtre de paramétrage d'un compte FTP](images/Capture-decran-du-2023-06-30-18-27-43.png)

Une fois les paramètres renseignés, il reste à cliquer sur « Connexion » pour vous connecter !

* * *

### Et maintenant que je suis connecté⋅e ?

Filezilla présente deux listes de dossiers/fichiers :

![](images/filezilla-transfert-46a4d.png)

- celle de gauche, site local, représente les dossiers/fichiers sur votre ordinateur
- celle de droite, site distant, représente les dossiers/fichiers sur le serveur FTP d’Ouvaton

Vous pouvez changer de dossier en double cliquant dessus, et déplacer les dossiers et fichiers par glisser/déposer ou via un clic droit sur le dossier/fichier de votre choix, puis envoyer ou télécharger.

**N’oubliez pas**, tous les fichiers de votre site doivent impérativement se trouver dans le dossier nommé **httpdocs**/. Il faut vous déplacer dans ce dossier avant d’envoyer vos fichiers sur le FTP.

* * *

### Pour aller plus loin

Vous remarquerez la présence de dossiers supplémentaires en plus de httpdocs/.

Celui nommé var/, vous pouvez tranquillement ignorer ce répertoire.

Celui nommé logs/ contient les logs Apache de votre site. Actuellement il ne contient que les logs d'erreurs, nous vous proposons de [consulter les statistiques de votre site sur AwStats](https://ouvaton.coop/statistiques-de-frequentation/) au lieu de récupérer ces logs.
