---
title: "Connexion SFTP avec Filezilla"
date: "2023-06-30"
categories: 
  - "comptes-ftp"
---

Filezilla est un logiciel permettant de connecter votre ordinateur à un compte SFTP. Il est très utile pour envoyer les fichiers de votre site vers nos serveurs.

<!--more-->

Filezilla est téléchargeable sur le site officiel du projet ([https://filezilla-project.org/](https://filezilla-project.org/)).

![](images/filezilla-logo-b6e18.png)

Il s’agit d’un logiciel libre et gratuit, disponible sur GNU/Linux, Windows et MacOS.

### Comment se connecter ?

Vous avez besoin de quatre informations pour vous connecter sur un compte SFTP :

- le nom du serveur, ou hôte
- un numéro de port TCP
- un identifiant SFTP
- un mot de passe

L’identifiant est visualisable dans Ouvadmin, vous pouvez vous aider de la page [Connaître vos comptes FTP existant](https://ouvaton.coop/connaitre-vos-comptes-ftp-existants/) pour les retrouver. Vous pouvez également modifier le mot de passe sur Ouvadmin.

Vous devez ouvrir le gestionnaire de sites de votre Filezilla (tout en haut à gauche de la fenêtre), puis une fois ouvert cliquer sur "Nouveau site". Vous pourrez alors donner un nom à cette entrée du gestionnaire, puis indiquer les paramètres suivants :

Vous devez comme Protocole sélectionner : **SFTP - SSH File Transfer Protocol**

Le nom du serveur/hôte est toujours : **ftp.ouvaton.coop**

Vous devez indiquer comme Port le numéro : **115**

Le type d'authentification est : Normale

Et enfin le nom d'utilisateur et le mot de passe associé.

Voici un exemple avec comme nom d'utilisateur : monsite.ouvatonkx

![Capture d'écran du paramétrage d'un compte SFTP avec Filezilla](images/Capture-decran-du-2023-06-30-18-13-20.png)

Une fois les paramètres renseignés, il reste à cliquer sur « Connexion » pour vous connecter !

* * *

### Et maintenant que je suis connecté⋅e ?

Filezilla présente deux listes de dossiers/fichiers :

![](images/filezilla-transfert-46a4d.png)

- celle de gauche, site local, représente les dossiers/fichiers sur votre ordinateur
- celle de droite, site distant, représente les dossiers/fichiers sur le serveur FTP d’Ouvaton

Vous pouvez changer de dossier en double cliquant dessus, et déplacer les dossiers et fichiers par glisser/déposer ou via un clic droit sur le dossier/fichier de votre choix, puis envoyer ou télécharger.

**N’oubliez pas**, tous les fichiers de votre site doivent impérativement se trouver dans le dossier nommé **httpdocs**/. Il faut vous déplacer dans ce dossier avant d’envoyer vos fichiers sur le FTP.

* * *

### Pour aller plus loin

Vous remarquerez la présence de dossiers supplémentaires en plus de httpdocs/.

Celui nommé var/, vous pouvez tranquillement ignorer ce répertoire.

Celui nommé logs/ contient les logs Apache de votre site. Actuellement il ne contient que les logs d'erreurs, nous vous proposons de [consulter les statistiques de votre site sur AwStats](https://ouvaton.coop/statistiques-de-frequentation/) au lieu de récupérer ces logs.
