---
title: "Migrer vers SYMPA 2"
date: "2019-02-21"
categories: 
  - "listes-de-diffusion"
---

Cette page d'aide résume les actions à réaliser pour migrer un domaine de listes vers notre nouveau serveur Sympa, qui dispose d'une version plus à jour et va résoudre nombre des problèmes que nous rencontrions sur l'ancien serveur.

_Attention : pour les domaines de listes en **@**quelquechose.**listes**.vox.coop il faut créer un nouveau domaine de listes en **@**quelquechose.**listes2**.vox.coop ou @quelquechose.ouvaton.net._

<!--more-->

Si vous avez besoin d'un coup de main, n'hésitez pas à nous contacter via [un ticket d'assistance](https://ouvaton.coop/assistance-par-tickets/) ou sur [le forum](https://forums.ouvaton.coop/).

[![](images/logo_sympa.png)](https://ouvaton.coop/wp-content/uploads/2019/02/logo_sympa.png)

* * *

#### Étape 1 : Récupérer les informations de vos listes

Pour chaque liste du domaine, créer un document texte qui indique :

- **le nom de la liste**
- **le type de liste**
    - dans Admin → Configurer la liste → Diffusion / réception
- **les adresses des propriétaires et le cas échéant des modérateurs**
    - dans Admin → Configurer la liste → Définition de la liste →Propriétaires
    - dans Admin → Configurer la liste → Définition de la liste →Modérateurs

\[caption id="attachment\_2300" align="aligncenter" width="150"\][![](images/Sympa-migration-propriosetmodos-150x150.png)](https://ouvaton.coop/wp-content/uploads/2019/02/Sympa-migration-propriosetmodos.png) Adresses des propriétaires et modérateurs\[/caption\]

- **le cas échéant, le contenu des messages personnalisés**
    - dans Admin → Personnaliser →Ajouts aux messages diffusés

\[caption id="attachment\_2299" align="aligncenter" width="150"\][![](images/Sympa-migration-attachements-150x150.png)](https://ouvaton.coop/wp-content/uploads/2019/02/Sympa-migration-attachements.png) Exporter les messages personnalisés\[/caption\]

- **la liste des abonnés**
    - dans Admin → Gérer les abonnés →Exportation pour obtenir la liste des adresses abonnées que vous pouvez copier/coller

\[caption id="attachment\_2296" align="aligncenter" width="150"\][![](images/Sympa-migration-exporter-150x150.png)](https://ouvaton.coop/wp-content/uploads/2019/02/Sympa-migration-exporter.png) Exporter la liste des abonnés\[/caption\]

Par défaut, cette méthode d'exportation n'affiche que les adresses mail des abonnés, mais vous pouvez modifier l'URL dans la barre d'adresse de votre navigateur et supprimer le _light/_ en fin de ligne. L'URL sera alors semblable à : http://votre.domainedelistes.fr/wws/dump/nomdelaliste/ au lieu de http://votre.domainedelistes.fr/wws/dump/nomdelaliste/light/, et les noms des utilisateurs seront aussi affichés (si ces noms sont existants).

Il faut faire cela pour **TOUTES** les listes du domaine (mais vous pouvez réaliser la migration domaine de listes par domaine de listes si vous en avez plusieurs) avant de passer à l'étape 2. Car bientôt (après l'étape 3) **vous n’allez plus avoir accès à l'interface de gestion de vos anciennes listes**.

* * *

#### Étape 2 : Créer le domaine de listes sur le nouveau serveur

Dans OuvAdmin, via le lien **Listes** (anciennement Nouveau serveur Sympa) dans le menu du haut, créer le nouveau domaine de listes en prenant soin d'utiliser le même nom que le domaine de listes existant.

Si votre domaine de liste est listes.votredomaine.fr ou ml.votredomaine.fr par exemple, il faut impérativement utiliser exactement le même nom lors de la création du domaine de listes sur le nouveau serveur.

La création de ce nouveau domaine de listes ne sera pas facturé si le nom est bien identique à celui existant sur l'ancien serveur.

* * *

#### Étape 3 : Modifier les enregistrements DNS

**Rappel :** À partir de cette étape, l'accès à la gestion de votre domaine de listes sur l'ancien serveur ne sera plus possible. **Assurez-vous d'avoir toutes les informations nécessaires (voir étape 1) avant de continuer**.

Toujours dans OuvAdmin, au menu **Domaines** cette fois, éditer les enregistrements du domaine qui porte votre domaine de listes _(c'est en bas de page, dans la section Liste de vos domaines d'hébergement)_ et :

- supprimer l'enregistrement de type A concernant votre ancien domaine de listes (qui mentionne l'IP : **194.36.166.30**)
- supprimer l'enregistrement de type MX qui pointe vers **mx.listes.vox.coop** (s'il existe).

\[caption id="attachment\_2304" align="aligncenter" width="150"\][![](images/Sympa-migration-DNS-150x150.png)](https://ouvaton.coop/wp-content/uploads/2019/02/Sympa-migration-DNS.png) Modifier les enregistrements DNS\[/caption\]

Il faut laisser l'enregistrement de type A qui pointe vers l'IP 194.36.166.32 et l'enregistrement de type MX qui pointe vers mx.listes2.vox.coop. Ce sont les enregistrements correspondant au nouveau serveur de listes.

**Si la gestion DNS de votre nom de domaine est hors Ouvaton**, vous devez ajouter les enregistrements suivants via l'interface du gestionnaire de votre domaine :

- Un type A du nom de votre domaine de listes, qui pointe vers l'IP 194.36.166.32
- Un type MX du nom de votre domaine de listes qui pointe vers mx.listes2.vox.coop, avec un priorité de 10

Et ensuite suivre les étapes 1 et 2 de la page [Activer DKIM et DMARC sur votre domaine de listes,](https://ouvaton.coop/activer-dkim-et-dmarc-sur-un-domaine-de-listes/) pour créer trois enregistrements supplémentaires pour SPF/DKIM/DMARC.

* * *

#### Étape 4 : Création des listes

Il faut maintenant vous rendre sur l'interface de gestion de votre nouveau domaine de listes.

**Attention**, l'interface web de gestion de votre domaine de listes n'est disponible qu'environ une demi-heure après sa création à l'étape 2. Si après une demi-heure vous voyez toujours une page avec PHPMyAdmin, pensez à recharger la page sans cache (CTRL+MAJ+R sous Firefox) ou à vider le cache de votre navigateur.

Vous pouvez alors vous connecter à votre nouveau Sympa pour :

- recréer les listes dont vous avez besoin
- les paramétrer à votre goût en utilisant les informations notées à l'étape 1
- intégrer les listes d'abonnés (en veillant à ce que l'option "sans prévenir" soit cochée)
    - l’importation d'un grand nombre d'abonnés peut demander plusieurs dizaines de secondes, ne fermez pas la page avant la fin de l'opération !
    - **nous vous conseillons vivement de ne pas importer plus de 1 000 adresses d'un coup, et d'ajouter par paquets de 1 000 les adresses**.

* * *

#### Étape 5 : Tester le bon fonctionnement

Testez à loisir (jusqu'à être sûr que tout est ok).

* * *

#### Étape 6 : Supprimer le domaine de listes de l'ancien serveur

En [https://ouvadmin.ouvaton.coop/sympa](https://ouvadmin.ouvaton.coop/sympa) (ou "Ancien serveur Sympa" dans le menu supérieur d'Ouvadmin), supprimez l'ancien domaine de listes. Assurez-vous de bien supprimer l'ancien domaine de listes (contactez-nous avant de le supprimer en cas de doute !).
