---
title: "Choisir la version de PHP"
date: "2018-04-10"
categories: 
  - "sites-web"
---

Nous proposons plusieurs versions de PHP, qui peuvent être sélectionnées indépendamment pour chaque espace web.

<!--more-->

#### ![Logo de PHP](images/logo-PHP-300x179.png)

#### Évolution des versions de PHP proposées

Le développement du langage de programmation PHP est soutenu. Nous devons donc suivre ses évolutions et régulièrement retirer [les versions obsolètes](https://www.php.net/supported-versions.php) de ce langage et ajouter les nouvelles versions disponibles.

Voici les changements à venir :

- **31 août 2020** : retrait des versions 7.0 et 7.1 avec bascule automatique vers la version 7.4.
- **19 octobre 2020** : retrait de la version 7.2 avec bascule automatique vers la version 7.4.
- **novembre 2020 à avril 2021** : avertissement mensuel de la suppression à venir de la version 5.6.
- **31 mai 2021** : retrait de la version 5.6 avec bascule vers la version 7.4.
- **14 septembre 2022** : ajout des versions 8.0 et 8.1 et retrait de la version 7.3. Les nouveaux espaces web seront par défaut en 8.0 à partir de cette date.
- **28 novembre 2022** : PHP 7.4 est désormais indiqué comme étant obsolète
- **05 avril 2024** : ajout des versions 8.2 et 8.3. Les nouveaux espaces web seront par défaut en 8.3 à partir de cette date. PHP 8.0 est désormais indiqué comme étant obsolète.

#### Modification de la version de PHP

La sélection de la version de PHP est possible sur Ouvadmin, via le lien **Web** dans le menu du haut, puis en cliquant sur la troisième icône sous "Actions" dans la liste des espaces web.

\[caption id="attachment\_2337" align="aligncenter" width="150"\][![](images/Ouvadmin-modifier-version-PHP-150x150.png)](https://ouvaton.coop/wp-content/uploads/2018/04/Ouvadmin-modifier-version-PHP.png) Menu déroulant pour choisir la version de PHP\[/caption\]

Les versions actuellement utilisables sont les 7.4, 8.0, 8.1, 8.2 et 8.3.

Vous pouvez vérifier la compatibilité de la version de PHP que vous souhaitez utiliser avec votre CMS (Wordpress, SPIP etc) en consultant cette [synthèse des prérequis des CMS](https://forums.ouvaton.coop/t/compatibilite-php-cms/4057) sur notre forum.

Une fois la version sélectionnée dans le menu déroulant, cliquez sur "Enregistrer", **patientez environ 30 minutes** le temps que la version sélectionnée soit déployée sur l’espace web.

Vous pouvez vérifier la version via la fonction phpinfo(), en créant un fichier nommé par exemple phpinfo.php à déposer dans le répertoire httpdocs/ contenant la ligne suivante :

`<?php phpinfo(); ?>`

Rendez-vous ensuite sur https://votresite.com/phpinfo.php pour connaître la version de PHP, ainsi que ses modules et ses paramètres de configuration.
