---
title: "Contenir la taille de son site web"
date: "2022-12-30"
categories: 
  - "documentation"
  - "sites-web"
  - "taille"
---

L'utilisation des "CMS" (Content Manager System) comme Wordpress, Spip, Joomla sont très pratiques mais nécessitent une vigilance pour éviter que ces sites ne prennent trop de place.

<!--more-->

### Petit rappel sur les photos que vous insérez

Les photos issues de votre smartphone ou appareil photo ont souvent une taille de plus de 3000 x 3000 pixels , une résolution de plus de de 300 dpi. Or un écran d'ordinateur et encore plus de smartphone va redimentionner votre image car l'affichage même sur un très grand écran va rarement dépasser les 800 x 800 pixels. Quant à la résolution, même avec des écrans toute dernière génération, une résolution de 100 dpi sera largement suffisante. En diminuant la taille et la résolution de vos images à télécharger, vous gagnerez à la fois de la place et permettrez à vos sites de s'afficher plus vite.

vous pouvez aussi utiliser un outil compresseur d'images qui vous permet de réduire très sensiblement la taille tout en conservant une excellente qualité : une recherche sur l'internet vous permettra de rouver celui qui vous convient.

### Les thèmes et plugins

Pensez à supprimer les plugins que vous n'utilisez plus, ainsi que les thèmes : lors d'essais, on oublie parfois de le faire. Pour Wordpress par exemple , à l'occasion d'une mise à jour vers le mois de novembre, vous verrez apparaître le "thème de l'année à venir" : vous pouvez le supprimer ou si vous souhaitez l'utiliser supprimer celui que vous n'utilisez plus. Ces thèmes annuels portent le nom en anglais de l'année "twentynineteen" ... "twentytwentyone" ... "twentytwentythree" ...

**L'historique des modifications dans wordpress**

À chaque modification d'un article ou d'une page, wordpress stocke la révision. C'est très pratique pour revenir en arrière mais de base le nombre de révision est illimité. Ce qui fait à chaque fois un enregistrement dans la base de données.

Vous pouvez limiter le nombre de révisions dans le fichier wp-config avec la ligne (5 révisions dans cet exemple) : `define('WP_POST_REVISIONS', 5);` Pour n'en garder aucune il faut mettre `define('WP_POST_REVISIONS' false);`

_Important : changer cette valeur n'a pas d'effet rétro actif. Pour purger les anciennes versions deux solutions s'offrent à vous : utiliser un plugin (à chercher sur l'internet) ou modifier directement la base de données (syntaxe sur demande), cette dernière option nécessitant de maitriser SQL._

### Les articles et pages en brouillon ou à la corbeille

Dans les sites web aussi supprimer les brouillons non utilisés  et vider la corbeille vous fera gagner de la place. Pensez une fois cela fait à [optimiser les tables de votre base de données](https://ouvaton.coop/taille-bdd/), les articles et pages étant stockés en base de données.
