---
title: "Installer Nextcloud sur Ouvaton"
date: "2018-07-14"
categories: 
  - "sites-web"
---

Il est possible d’installer Nextcloud sur l’un de vos espaces web et en utilisant l’une de vos bases de données.

<!--more-->

En faisant cela vous combinerez le confort d’avoir des données sauvegardées (et synchronisées sur vos différents appareils, le cas échéant) et le plaisir de les héberger « chez vous » (et non chez DropBox ou autre).

Des informations complémentaires sont disponibles sur notre forum qui dispose d'une section dédiée à Nextcloud : [https://forums.ouvaton.coop/c/lentraide/owncloud-nextcloud](https://forums.ouvaton.coop/c/lentraide/owncloud-nextcloud)

Le « cloud » c’est bien mais c’est gourmand. Nous recommandons de ne l’utiliser que pour les documents importants et légers. Pour sauvegarder des Gigas de photos et de vidéos ce n’est pas le bon plan ! Mais nous proposons aussi "_20 Go supplémentaires pour 40 € HT par an_" ce qui permet d'être plus à l'aise (avec les 10 Go de base, cela fait **30 Go**) : c'est dans [Ouvadmin](https://ouvadmin.ouvaton.coop) puis "Options" que vous pouvez l'activer.

[![](images/Nextcloud_Logo.svg_-300x213.png)](https://ouvaton.coop/wp-content/uploads/2018/07/Nextcloud_Logo.svg_.png)

**Vous pouvez installer automatiquement Nextcloud sur Ouvaton**, voir [https://ouvaton.coop/installation-automatique-de-cms/](https://ouvaton.coop/installation-automatique-de-cms/).

Voici la procédure à suivre si vous souhaitez installer manuellement Nextcloud :

1. Aller sur [https://nextcloud.com/install/#instructions-server](https://nextcloud.com/install/#instructions-server), dans la partie « Web installer for shared hosts», faites un clic droit sur le lien "here" afin d’enregistrer localement le fichier setup-nextcloud.php
2. Placer ce fichier setup-nextcloud.php sur votre espace web par FTP, puis appelez-le pour lancer l’installation.
3. À l’affichage de Setup Wizard : cliquer sur Next
4. choisir un nom de répertoire, par défaut ce sera nextcloud/ (mettre un point si on veut installer Nextcloud à la racine)
5. succès de l’installation : cliquer sur Next
6. Choisir le répertoire des données. Par défaut c’est un répertoire nommé data/ dans le répertoire /nextcloud (personnellement je modifie ça pour créer un répertoire de données à côté, directement sous /httpdocs).
7. Attention étape importante :
    1. Par défaut Nextcloud se prépare à utiliser une base Sqlite. **Il est très préférable d’utiliser une base MySQL**, pour cela il faut cliquer sur "Support de stockage & base de données" et modifier le paramétrage.
    2. Rappel, le serveur MySQL d’Ouvaton est : **sql01.ouvaton.coop** (vous trouverez les autres renseignements nécessaires au menu "mysql" de votre compte OuvAdmin).
    3. Note : Nextcloud affectera le préfixe oc\_ aux tables qu’il va créer dans votre base MySQL.

Voilà, vous avez installé votre serveur NextCloud. Vous pouvez l’utiliser.

### Après l’installation

Nous vous recommandons de consulter [cet excellent récapitulatif](https://forums.ouvaton.coop/t/parametrage-de-nextcloud-sur-ouvaton-bonus-avec-francais-par-defaut-et-econome-en-espace-disque/2678) (merci à notre sociétaire "MacGyver" pour cette chouette contribution !) des actions possibles après l'installation pour améliorer votre installation.

Dans l’interface d’administration de votre NextCloud, vous verrez peut-être les message d’erreurs suivants :

**_L’en-tête HTTP "Strict-Transport-Security" n’est pas configurée à au moins "15552000" secondes. Pour renforcer la sécurité nous recommandons d’activer HSTS comme décrit dans nos conseils de sécurisation._**

Pour ce premier message, ajoutez ces lignes dans le fichier .htaccess pour régler ce problème :

`<IfModule mod_headers.c>` `Header always set Strict-Transport-Security "max-age=15768000"` `</IfModule>`

* * *

**_La fonction PHP "set\_time\_limit" n'est pas disponible. Cela pourrait entraîner l'arrêt des scripts à mi-exécution en bloquant votre installation. Nous vous recommandons vivement d'activer cette fonction._**

Cette fonction est désactivée, par sécurité (elle offre la possibilité à un utilisateur malveillant de prolonger très longtemps un script PHP gourmand en ressources), sur notre plateforme mutualisée.

* * *

**_/dev/urandom n'est pas lisible par PHP, ce qui est fortement déconseillé pour des raisons de sécurité. Vous trouverez plus d'informations dans la documentation._**

Ce message devrait disparaître à l'avenir, s'il est présent, vous pouvez l'ignorer.

* * *

**_La limite de mémoire PHP est inférieure à la valeur recommandée de 512 Mo._**

Nous augmenterons si possible cette valeur à l'avenir. La limite est actuellement de 256 Mo, et elle ne pose pas de problème sauf sur de très gros Nextcloud (des dizaines d'utilisateurs et des milliers de fichiers).

* * *

**_MySQL est utilisée comme base de données mais ne supporte pas les caractères codés sur 4 octets. Pour pouvoir manipuler les caractères sur 4 octets (comme les émoticônes) sans problème dans les noms de fichiers ou les commentaires par exemple, il est recommandé d'activer le support 4 octets dans MySQL. Pour plus de détails, lisez la [page de documentation à ce sujet](https://docs.nextcloud.com/server/16/go.php?to=admin-mysql-utf8mb4)_**

Le suppression de cette avertissement nécessite de modifier légèrement la configuration de notre serveur SQL. Nous devons étudier les conséquences de cette modification sur notre système de sauvegarde.

* * *

**_L'utilisation de la fonctionnalité d'envoi d'e-mails native de PHP n'est plus supportée. Merci de mettre à jour les paramètres d'envoi d'e-mails de votre serveur_**

Vous devez spécifier un serveur SMTP et une adresse mail pour les mails envoyés depuis Nextcloud, voir [https://docs.nextcloud.com/server/14/admin\_manual/configuration\_server/email\_configuration.html](https://docs.nextcloud.com/server/14/admin_manual/configuration_server/email_configuration.html).

* * *

**_La configuration du serveur web ne permet pas d'atteindre "/.well-known/caldav". Vous trouverez plus d'informations dans la documentation._** **_La configuration du serveur web ne permet pas d'atteindre "/.well-known/carddav". Vous trouverez plus d'informations dans la documentation._**

Nous allons essayer de faire le nécessaire pour corriger ce problème, pour le moment vous pouvez ignorer ces messages, ou ajouter les lignes suivantes dans le .htaccess situé à la racine de votre espace web :

`<IfModule mod_rewrite.c>`   `RewriteEngine on`   `RewriteRule ^\.well-known/host-meta /public.php?service=host-meta [QSA,L]`   `RewriteRule ^\.well-known/host-meta\.json /public.php?service=host-meta-json [QSA,L]`   `RewriteRule ^\.well-known/webfinger /public.php?service=webfinger [QSA,L]`   `RewriteRule ^\.well-known/carddav /remote.php/dav/ [R=301,L]`   `RewriteRule ^\.well-known/caldav /remote.php/dav/ [R=301,L]` `</IfModule>`

* * *

**_L'en-tête HTTP "Referrer-Policy" n'est pas défini sur "no-referrer", "no-referrer-when-downgrade", "strict-origin" ou "strict-origin-when-cross-origin". Cela peut entraîner une fuite d'informations. Veuillez voir les recommandations du W3C._**

Pour corriger ce problème ajoutez le ligne suivante dans votre fichier .htaccess :

`Header always set Referrer-Policy "no-referrer"`

* * *

**_La base de données a quelques index manquant. L'ajout d'index dans de grandes tables peut prendre un certain temps. Elles ne sont donc pas ajoutées automatiquement. En exécutant "occ db:add-missing-indices", ces index manquants pourront être ajoutés manuellement pendant que l'instance continue de tourner. Une fois les index ajoutés, les requêtes sur ces tables sont généralement beaucoup plus rapides._**

_**Certaines colonnes de la base de données n'ont pas été converties en big int. Changer le type de colonne dans de grandes tables peu prendre beaucoup de temps, elles n'ont donc pas été converties automatiquement. En exécutant 'occ db:convert-filecache-bigint' ces changements en suspens peuvent être déclenchés manuellement. Cette opération doit être exécutée pendant que l'instance est hors ligne. Pour plus d'information, consulter [la page de la documentation](https://docs.nextcloud.com/server/18/go.php?to=admin-bigint-conversion).**_

Ouvrez un ticket d'assistance en nous indiquant l'adresse de votre Nextcloud, nous allons faire le nécessaire.

* * *

_**Aucun cache mémoire n'est configuré. Si possible, configurez un "memcache" pour améliorer les performances. Pour plus d'informations consultez la documentation.**_

Vous pouvez ignorer ce message d'erreur, nous utilisons déjà un système de mise en cache sur la plateforme.

* * *

### Accepter notre proxy et obtenir l'IP réel des visiteurs

Cette modification n'est pas obligatoire pour le bon fonctionnement de Nextcloud.

Sur notre plateforme, il est possible que l'adresse IP affichée dans les logs de Nextcloud soit toujours celle de notre proxy interne, ce qui peut être gênant avec la fonction de protection contre de trop nombreuses tentatives de connexions échouées sur votre Nextcloud (si un utilisateur de votre Nextcloud se trompe plusieurs fois de mot de passe, son adresse IP va être bloquée temporairement par Nextcloud, mais si c'est l'adresse de notre proxy qui est utilisée, toutes les tentatives de connexions pour tous les utilisateurs seront bloquées).

Pour permettre à Nextcloud de voir la vraie adresse IP des visiteurs, vous devez ajouter les lignes suivantes à votre fichier config/config.php :

`'trusted_proxies' => array('10.0.20.16'),` `'forwarded_for_headers' => array('HTTP_X_FORWARDED_FOR'),`

### HTTPS

Il est vivement recommandé de toujours accéder à votre Nextcloud en HTTPS.

Pour forcer son utilisation, ajouter ces lignes dans le fichier .htaccess :

`# Redirection vers HTTPS RewriteCond %{HTTPS} off RewriteCond %{HTTP:X-Forwarded-Proto} !https RewriteRule ^(.*)$ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301]`

### Synchroniser ses fichiers

Si vous le souhaitez vous pouvez aussi installer le logiciel client qui vous permettra de synchroniser vos fichiers entre votre serveur NextCloud et vos différentes machines (fixe, portable, smartphone ...).

Cela dépend des machines en question et de leurs systèmes. C’est expliqué en [https://nextcloud.com/install/#install-clients](https://nextcloud.com/install/#install-clients)  
À noter qu’il est possible (et donc recommandé) d’effectuer la connexion en https.

**Le calendrier**

Il est possible d’insérer (et de gérer) le calendrier de Nextcloud dans Thunderbird. Pour cela il faut bien sûr que le module d’agenda de Thunderbird soit activé.

- Dans Nextcloud, on va en Fichiers >>> Calendrier, et là on cherche et on copie le "Lien CalDav" du calendrier qu’on vise à synchroniser dans Thunderbird.
- Dans Thunderbird, on crée un "Nouvel Agenda" en choisissant "Sur le réseau", comme Format on choisit CalDAV et dans l’emplacement, on colle le lien trouvé dans NextCloud.
- On active et, normalement, ça marche.

### Mettre à jour Nextcloud

Si votre Nextcloud signale la disponibilité d’une nouvelle version, voici ce que vous pouvez faire :

- cliquez sur votre identifiant en haut à droite et choisissez "Paramètres"
- dans la nouvelle page cliquez sur "Paramètres de base" et descendez dans la page. Vous verrez la version active et, éventuellement, la mise à jour proposée.

_Attention : à chaque mise à jour Nextcloud fait une copie de la version précédente de l'application  (dans un répertoire /updaterxxxxxxx/backups du répertoire de stockage). Il ne faut pas laisser trop de versions successives s'accumuler._

Il arrive que la procédure de mise à jour rencontre une erreur en cours de route. Pour alléger le nombre de tâches à réaliser pendant la mise à jour et réduire le risque de rencontrer une erreur, vous pouvez consulter le message [https://forums.ouvaton.coop/t/un-truc-pour-les-mises-a-jour/1651](https://forums.ouvaton.coop/t/un-truc-pour-les-mises-a-jour/1651) sur notre forum.
