---
title: "Installer un service sur son hébergement web"
date: "2023-12-06"
categories: 
  - "sites-web"
---

#### Fiche pratique n°1

Créée le 17 novembre 2023 par Marion Mise à jour le 06 décembre 2023 par Marion

* * *

### Récupérer l'application

Dans cet exemple, on installera [Piwigo](https://fr.piwigo.org/obtenir-piwigo), l'application de gestion d'albums photo pour le web, disponible sous licence GPL.

Souvent ce type d'application est disponible sous forme d'archive (extension de type `.zip`, `.tar.gz`). C'est le cas de Piwigo, leur archive se nomme : `piwigo-13.8.0.zip` (Version 13, 8ème correctif)

L'extraire sur son ordinateur, dans l'exemple sur le **Bureau**.[![](images/01_Explorateur_extraction_archive-1024x576.png)](https://ouvaton.coop/wp-content/uploads/2023/12/01_Explorateur_extraction_archive.png)

### Définir un nom de domaine

Pour chaque service, application que l'on souhaite installer on peut lui définir un domaine / sous-domaine dédié.

Dans votre interface [Ouvadmin](https://ouvadmin.ouvaton.coop/) : onglet `Web` > `Créer un nouvel espace web +`[![](images/02_ouvadmin_web-1024x558.png)](https://ouvaton.coop/wp-content/uploads/2023/12/02_ouvadmin_web.png)

Renseignez les champs nécessaires et cliquez sur le bouton `Créer l'espace web`[![](images/03_ouvadmin_sousdomaine-1024x558.png)](https://ouvaton.coop/wp-content/uploads/2023/12/03_ouvadmin_sousdomaine.png)_⚠ Important : n'oubliez pas de noter ses informations quelque part elles vont vous resservir !_

### Définir une base de données

Certaines applications n'en utilisent pas, en particulier les CMS comme [Kirby](https://getkirby.com/), [Grav](https://getgrav.org/), [PluXml](https://pluxml.org/), etc.

Dans votre interface [Ouvadmin](https://ouvadmin.ouvaton.coop/) : onglet `MySQL` > `créer une nouvelle base MySQL +`

Il est possible d'utiliser une base existante, de préférence si elle est vide ; en effet, il est déconseillé d'utiliser la même base pour plusieurs services.[![](images/04_ouvadmin_mysql-1024x558.png)](https://ouvaton.coop/wp-content/uploads/2023/12/04_ouvadmin_mysql.png)

Renseignez les champs nécessaires et cliquez sur le bouton `Créer cette base MySQL`[![](images/05_ouvadmin_bdd-1024x558.png)](https://ouvaton.coop/wp-content/uploads/2023/12/05_ouvadmin_bdd.png)_⚠ Important : n'oubliez pas de noter ses informations !_

### Récupérer les accès FTP

Dans votre interface [Ouvadmin](https://ouvadmin.ouvaton.coop/) : onglet `Web` > cliquez sur l’icône "roues dentées" correspondant à votre sous-domaine créé. Si vous passez votre souris sur l'icône vous devriez avoir un message ressemblant à `configurer piwigo.domaine.extension`

[![](images/06_ouvadmin_web_config-1024x558.png)](https://ouvaton.coop/wp-content/uploads/2023/12/06_ouvadmin_web_config.png)

Notez les informations FTP relatives à votre espace web dédié à Piwigo.[![](images/07_ouvadmin_web_infoftp-1024x558.png)](https://ouvaton.coop/wp-content/uploads/2023/12/07_ouvadmin_web_infoftp.png)

### Se connecter à son espace en FTP

Pour cela vous pouvez utiliser le logiciel [FileZilla](https://filezilla-project.org/download.php?type=client) disponible pour tous les environnements (Linux, Windows et Mac).

Ouvrez le logiciel, allez dans `Fichiers` > `Gestionnaire de sites (Ctrl+S)`

Dans la fenêtre qui s'ouvre vous allez pouvoir renseigner une partie des informations que vous avez noté à l'étape précédente, puis cliquez sur `Connexion`[![](images/08_filezilla_gestionnaire-1024x588.png)](https://ouvaton.coop/wp-content/uploads/2023/12/08_filezilla_gestionnaire.png)

Peut-être qu'une nouvelle fenêtre `Certificat inconnu` s'ouvrira pour que vous approuviez le certificat et que vous l'associez à la connexion.[![](images/09_filezilla_certificat.png)](https://ouvaton.coop/wp-content/uploads/2023/12/09_filezilla_certificat.png)

Ensuite, vous arriverez sur une fenêtre similaire à la capture ; c'est ici que vous allez pouvoir transférer les fichiers de votre ordinateur (= espace de stockage local) (en bleu) à votre espace web (= espace de stockage distant) (en vert).[![](images/10_filezilla_folder-1024x559.png)](https://ouvaton.coop/wp-content/uploads/2023/12/10_filezilla_folder.png)

### Transférer les données au serveur distant

Dans l'espace de stockage local (en bleu), ouvrez le dossier dans lequel vous avez extrait l'archive de Piwigo, ici `piwigo`, rangé dans le dossier `piwigo-13.8.0` rangé sur le **Bureau**.

Et dans l'espace de stockage distant (en vert), ouvrez le dossier `httpdocs`.

Dans l'espace de stockage local (en bleu), sélectionnez tous les dossiers (`ctrl+a`), cliquez droit, dans le menu contextuel cliquez sur `Envoyer`.[![](images/11_filezilla_envoyer-1024x559.png)](https://ouvaton.coop/wp-content/uploads/2023/12/11_filezilla_envoyer.png)

Dans la zone inférieure de la fenêtre, vous pouvez suivre le transfert (en rouge) ; le transfert sera plus ou moins rapide en fonction de votre connexion internet. Si certains fichiers n'ont pas été reçus sur l'espace de stockage distant (en vert) ils apparaîtront dans l'onglet `Transferts échoués`.

[![](images/12_filezilla_envoi-1024x559.png)](https://ouvaton.coop/wp-content/uploads/2023/12/12_filezilla_envoi.png)

Si tout c'est bien passé vous pouvez vous rendre sur l'adresse de votre nouvel espace web, quelque chose comme [http://piwigo.ouvaton.org](http://piwigo.ouvaton.org/) et vous devriez arriver sur cette fenêtre dédiée à l'installation de Piwigo. Pas besoin de rajouter le `/install.php` à la fin de l'url, il se met par défaut.

[![](images/13_piwigo_install-1024x558.png)](https://ouvaton.coop/wp-content/uploads/2023/12/13_piwigo_install.png)

### Configurer votre Piwigo

Vous allez pouvoir configurer votre Piwigo en remplissant les champs grâce aux informations préalablement notées, dans cet exemple ça donnera ceci :

**1\. Configuration de la base de données**

<table style="border-collapse: collapse; width: 100%;"><tbody><tr><td style="width: 50%; text-align: center;"><strong><span class="td-span"><span class="md-plain">Hôte</span></span></strong></td><td style="width: 50%; text-align: center;"><strong><span class="td-span"><span class="md-plain">sql01.ouvaton.coop</span></span></strong></td></tr><tr><td style="width: 50%;">Utilisateur</td><td style="width: 50%;"><span class="td-span"><span class="md-plain">08637_piwigo</span></span></td></tr><tr><td style="width: 50%;">Mot de passe</td><td style="width: 50%;"><a href="#Definir_Base_De_Donnees"><span class="td-span"><span class="md-pair-s "><em><span class="md-plain">cf chapitre 3</span></em></span></span></a></td></tr><tr><td style="width: 50%;">Nom de la base de données</td><td style="width: 50%;"><span class="td-span"><span class="md-plain">08637_piwigo</span></span></td></tr><tr><td style="width: 50%;">Préfixe des noms de tables</td><td style="width: 50%;"><span class="td-span"><span class="md-plain">piwigo_</span></span></td></tr></tbody></table>

**2\. Configuration du compte administrateur**

Créez vous un compte et notez bien les informations qui y sont rattachées (identifiants / mot de passe).

Si tout c'est bien passé vous devriez avoir ce message :[![](images/14_piwigo_install_terminee.png)](https://ouvaton.coop/wp-content/uploads/2023/12/14_piwigo_install_terminee.png)

### Passer son site en https

Pour acquérir un certificat SSL et passer votre site en https, vous pouvez suivre [cette documentation](/certificat-ssl/).

### À vous de jouer !

Pour commencer, cliquez sur le bouton `Visiter la galerie` et sur la page suivante `Je veux ajouter des photos`.

La première fois, vous arrivez sur une page qui vous invite à créer un premier album, il n'y a plus qu'à vous lancer.

La documentation officielle est très bien, n'hésitez pas à la consulter, elle est disponible à cette adresse : [https://doc-fr.piwigo.org/](https://doc-fr.piwigo.org/)
