---
title: "Limiter la taille nextcloud"
date: "2022-10-03"
categories: 
  - "sites-web"
  - "taille"
---

### Pour limiter la taille disque dans Nextcloud, 3 actions sont possibles

<!--more-->

#### 1 - limiter la durée de rétention dans la corbeille (et les versions le cas échéant) pour les utilisateurs.

Il faut ajouter/modifier dans le fichier config.php la ligne '**trashbin\_retention\_obligation**' qui définit la politique pour le moment où les fichiers et les dossiers de la corbeille seront définitivement supprimés.

Elle accepte deux paramètres : un temps minimum pour la conservation des poubelles et un temps maximum. Le temps minimum est le nombre de jours pendant lesquels un fichier sera conservé, après quoi il peut être supprimé. Un fichier peut être supprimé après l'expiration du nombre minimum de jours si de l'espace est nécessaire.

⚠ **Le fichier ne sera pas supprimé si l'espace n'est pas nécessaire.** **« L'espace nécessaire » dépend du fait qu'un quota d'utilisateur soit défini ou non :**

- **Si aucun quota d'utilisateur n'est défini, la poubelle a la limite de l'espace disque _c'est à dire chez ouvaton aucune limite !_**
- **Si un quota d'utilisateur est défini, 50 % de l'espace de quota restant de l'utilisateur fixe la limite de la poubelle.**

Valeurs disponibles (D1 et D2 sont des nombres) : • **auto** :  paramètre par défaut ; garde les fichiers et dossiers dans la corbeille pendant 30 jours minimum et les supprime automatiquement à tout moment après cela si de l'espace est nécessaire • **D1, auto**  : garde les fichiers et les dossiers dans la corbeille pendant minimum D1 jours, les supprime si de l'espace est nécessaire • **auto, D2**  : pour tous les fichiers de la corbeille qui sont plus anciens que D2 jours, les supprime si de l'espace est nécessaire • **D1, D2**  conserve les fichiers et les dossiers dans la corbeille pendant minimum D1 jours, les supprime si de l'espace est nécessaire avant D2 jours et les supprime lorsqu'ils dépassent D2 jours • **disabled**  le nettoyage automatique de la poubelle est désactivé, les fichiers et les dossiers seront conservés pour toujours

_Attention à la valeur "auto" : chez ouvaton, l'espace n'est pas limité. Les fichiers peuvent ne jamais être supprimés si vous ne mettez pas de quotas à vos utilisateurs, vous risquez donc des dépassements d'espace disque._

Un exemple de valeur adaptée pour Ouvaton si vous ne mettez pas de quotas (garde les fichiers et répertoires dans la corbeille au minimum 30 jours, au maximum 31 jours) :

```
'trashbin_retention_obligation' => '30, 31', 
```

Si vous mettez des quotas vous pouvez par exemple mettre

```
'trashbin_retention_obligation' => '30, auto', 

'trashbin_retention_obligation' => 'auto, 30',
```

Pour les versions, ce sont les mêmes principe et valeurs pour la ligne

```
versions_retention_obligation
```

#### 2 - gérer les fichiers log et de mises à jour

##### A - Le fichier nextcloud.log

Il grossit indéfiniment : vous pouvez sans crainte le supprimer via ftp, il se recréera tout seul. Il peut y avoir des nextcloud.log.1 , ...2  ... : vous pouvez aussi sans crainte les supprimer. Ils se trouvent dans le dossier "httpdocs/data" _Par défaut, dans le fichier config/config.php "loglevel" est à 2 ce qui génère beaucoup de lignes_. Vous pouvez le mettre à la valeur 3 ce qui limitera l'expansion du fichier log, voire la mettre à 4 :

\*\*\* valeurs possibles \*\*\*

- - - - _0: DEBUG: Toute l'activité ; l'enregistrement le plus détaillé._
            - _1: INFO: Activité telle que les connexions d'utilisateurs et les activités de fichiers, ainsi que les avertissements, les erreurs et les erreurs fatales._
            - _2: AVERTISSEMENT : Les opérations réussissent, mais avec des avertissements sur les problèmes potentiels, les erreurs et les erreurs fatales._
            - _3: ERROR: Une opération échoue, mais d'autres services et opérations continuent, ainsi que les erreurs fatales._
            - _4: FATAL: Le serveur s'arrête._

Enfin limitez la taille de ce fichier en mettant (20480 est donné en exemple, ce peut êtr eplus grand si vous le consultez)

```
'log_rotate_size' => 20480 ,
```

##### B - Les sauvegardes des versions précédentes

À chaque mise à jour, dans le dossier "httpdocs/data", le répertoire **updater-xxxx/backups/** contient les sauvegardes de la version précédente : _environ 220 Mo chacune ... après 4 maj si vous ne supprimez pas vous avez 1 Go de plus utilisé !_

Vous pouvez supprimer les versions précédentes une fois la mise à jour effectuée avec succès. Le nom du répertoire commence par "updater-xxxx", "xxxx" est différent pour chaque installation.

#### 3 - Réduire la taille des prévisualisations des images

Il est possible de paramétrer les miniatures via le fichier config/config.php. La désactivation de la génération des miniatures est possible.

Par exemple avec les lignes ci-dessous vous pouvez limiter la taille des miniatures à 640 pixels, avec une qualité de 60 sur 100 pour le JPG :

```ini
'enable_previews' => true,
'preview_max_x' => 640,
'preview_max_y' => 640,
'jpeg_quality' => 60,
```
